Browse Source

Upgrade vmware-workstation 15.5.6 to 16.0.0

master
Sergey Morozov 3 weeks ago
parent
commit
f8b99e0f82
5 changed files with 122 additions and 155 deletions
  1. +2
    -2
      app-emulation/vmware-modules/Manifest
  2. +5
    -5
      app-emulation/vmware-modules/vmware-modules-16.0.0.ebuild
  3. +4
    -3
      app-emulation/vmware-workstation/Manifest
  4. +102
    -0
      app-emulation/vmware-workstation/files/vmware-16.0.rc
  5. +9
    -145
      app-emulation/vmware-workstation/vmware-workstation-16.0.0.16894299.ebuild

+ 2
- 2
app-emulation/vmware-modules/Manifest View File

@@ -1,2 +1,2 @@
DIST vmware-modules-15.5.6-5.7.zip 590103 BLAKE2B 58822d57add08197618d1e087aca29c5d595260b0e871f207e0d4ae8d741e521ddbdb4c8c00ac1748937d915651346989cf422d083ae815e34db6eff000272b5 SHA512 c8fcb44540bcfa8d8b237f6393dfc956d1eb072a0d3f06fb876089289ed24d0c36ca5a72706671045b762f18810b1e9e0e445097d5d3a856b4a48847740ce01b
EBUILD vmware-modules-15.5.6.ebuild 2476 BLAKE2B 43de35ad4517921902ce999cdb9aee9a5a613dd93769174b9937facfcca65442543057f0bb6fa11869b8cbf9e728a46e4d2d6c6f051e0af09deb2f358d1b49b0 SHA512 2828970c8160f3489410793d72594a1c807dc5a59cc230e61df324aefefc986a1ed672ecf3e7783026519ffbc528b308d2baf03150420c429ab4e0b3e1d1a4b3
DIST vmware-modules-16.0.0-5.8.zip 605196 BLAKE2B c62caea128fb8b1b94d27488df3d0ba4d1de300ed730ee5850bc01f3717a48449e2d034be8984568e7adbb2e6c07190ca67d90ee7453146c3b437cfcb3390615 SHA512 570f1777577895403645d316acc01301104d71c9d8a52321e98f781858f67a8bab02a4f4633f0ab4cc5611def76d98165f16d35e4742e9c63ca74dae44f5c8a2
EBUILD vmware-modules-16.0.0.ebuild 2468 BLAKE2B 5d851e711f029ae6fba63df49fc770e1e9afdc9a041f9f321de5fc33f7072e781cb7e27d6000f7afa3565c97bf327374a5cee7513518dc79a6092414db31d191 SHA512 b8233b16d14d76a42de61c90e42ddb1475b5bebee44d07aca45dbbfe30e73f5bd1c31125f5b9a853245f23d9f35e30a65e697cab11ca9fd9b21a7937e7a66237

app-emulation/vmware-modules/vmware-modules-15.5.6.ebuild → app-emulation/vmware-modules/vmware-modules-16.0.0.ebuild View File

@@ -1,14 +1,14 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6
EAPI=7

inherit eapi7-ver eutils flag-o-matic linux-info linux-mod user udev
inherit eutils flag-o-matic linux-info linux-mod user udev

DESCRIPTION="VMware kernel modules"
HOMEPAGE="https://github.com/mkubecek/vmware-host-modules"

MY_KERNEL_VERSION="5.7"
MY_KERNEL_VERSION="5.8"
SRC_URI="https://github.com/mkubecek/vmware-host-modules/archive/w${PV}-k${MY_KERNEL_VERSION}.zip -> ${P}-${MY_KERNEL_VERSION}.zip"

LICENSE="GPL-2"
@@ -23,7 +23,7 @@ S="${WORKDIR}/vmware-host-modules-w${PV}-k${MY_KERNEL_VERSION}"

pkg_setup() {
CONFIG_CHECK="~HIGH_RES_TIMERS"
if kernel_is ge 2 6 37 && kernel_is lt 2 6 39; then
if kernel_is -ge 2 6 37 && kernel_is -lt 2 6 39; then
CONFIG_CHECK="${CONFIG_CHECK} BKL"
fi
CONFIG_CHECK="${CONFIG_CHECK} VMWARE_VMCI VMWARE_VMCI_VSOCKETS"

+ 4
- 3
app-emulation/vmware-workstation/Manifest View File

@@ -1,8 +1,9 @@
AUX configure-hostd.sh 372 BLAKE2B 0ed2d479a46d69ff8498bfac180f0440fb57fb173fc1a427115872a40a47559725623399652e9663fa8a4ca0d7e020d5445bafb6c37f45449dea341fc9f6cce6 SHA512 87c84f5e51e8b4585a9a55f13771cd8b84f2e4e0bb33679e3a1b23eb84a5be5d523a57b6c770095c1d21712a98e9317bbd215ab027843b0586b35ecf9fb85b49
AUX vmware-15.5.rc 2476 BLAKE2B dff25b43c5fa57186be2a5f0ca4606d26cd1c3f3dbeb91d855fc07a9fd576f446983c852c8e0b112c5616bb95dfddc7e2c738b4d0ca341c781d7addcb45068cd SHA512 9bae224387128b2cd221d509e2933042e3925fb041670907d8a47c70a488214206912fe25ab24c0bdeb31591149e62aba374d3fa63fdd08644e09667e195967f
AUX vmware-16.0.rc 2476 BLAKE2B dff25b43c5fa57186be2a5f0ca4606d26cd1c3f3dbeb91d855fc07a9fd576f446983c852c8e0b112c5616bb95dfddc7e2c738b4d0ca341c781d7addcb45068cd SHA512 9bae224387128b2cd221d509e2933042e3925fb041670907d8a47c70a488214206912fe25ab24c0bdeb31591149e62aba374d3fa63fdd08644e09667e195967f
AUX vmware-server-15.5.rc 1506 BLAKE2B 886ed1de7a99320611a28a43b48cf17715fcab8bf533a73c28a1aa2f8d150ee2b84e1e510e864b18347f3bd7e43faec3cfc90f09d5ac9c0afe821f67654a68c4 SHA512 548ff69f87bee2b6c82bd931d22dd560370c4a00641ae47d05af05bbc72cedc8fd25054abc405a590b72227b10c5997d79f16ded67f3e0cfac142eb248b47d44
DIST VMware-Workstation-Full-15.5.6-16341506.x86_64.bundle 537843057 BLAKE2B edbefba7a250c27ccd53270ba4e6c41e233d3411c14e1f1287ec434cc5380bf530f190f042d1825eadb236572843d7a2ae5748f702fc578461b9fb3340eada4c SHA512 8f3eec75732be406092512ac9e821303d1999d4e6d113e3f3817a9a81f80c584bab58e5b01b797e765716587dbdfdbcca8a34cdfb6357b66affad41110f34b5f
DIST com.vmware.fusion-15.5.6.16341506.zip.tar 635852800 BLAKE2B 43c6378a516fa3ead0eed2e015b8ddf05650a00241320a0ca11ef857f32a15f579e2bd98715aef980c75fcbae86314d68ca7205bb59239b34dfc7270ea6bad25 SHA512 0d76837262465139853dbef8c3a8797e53119ed0eb88afa9968e5b8b2fc25226de10113ca734eaae7e76e4cc024a7adee103a21449e66ad27a717bffd9f70707
DIST VMware-Workstation-Full-16.0.0-16894299.x86_64.bundle 518746072 BLAKE2B f6b1fa90cd591fa71c6138710c422f587da48cc165249908a97035a7f531d5ff41d77addccdccf937ce4c01fd608a04318b4fbeda457dc470f683edfe1336c46 SHA512 431ce97586fd0c7da2b2184aad99610d9be8f46b9467e75a71045a6ba7d7e34254807f704a4a02ce3802715773039a0e57504e99f8d7a9043df7f42934e7f47c
DIST com.vmware.fusion-16.0.0.16894299.zip.tar 635893760 BLAKE2B a4c57b19bee3bd68fd2a1254089c9cc7bff0fda99d0a41ea736f4b9de4c13a7165b6fcd616a45fa9770c512c9286c398f8cdde4cfebd9c82d43fc2d41d39f618 SHA512 118315cee615c9abb8a83a06ae7e41b58c3a22fc2be7fba8172a1c165ad0de4c2901e78721458705cd2aad2eba4deea7a2d7b889c0c2c0e5be611af43da3929d
DIST unlocker-3.0.3.tar.gz 13521100 BLAKE2B 5fd3865d55bdc842b98f921e536f36103a69f635eabb741f17e4d6e3b0bda6c0561c082f5921e12c4ca49b9f10c9c12a9ea3be3c154e97979dbdbc3d4658528c SHA512 d83bd1ca0de2ce56d93479ec14d456cfdb7ebae07df631ec67aa3b97c5090ac0af8d2c02ed4373af06e8e980f84b801b78fb2c486cac62397b23e2af521fa020
DIST vmware-systemd-gentoo-02.tgz 14064 BLAKE2B 24ac2c2f295130f4aadad867ec88d652bd292cc60e6b471bb2e01069fe01d84dac3d8b0ca7690ebf218d663adfe0c1dc889d3f4f53cf3178b68291461260748b SHA512 3a382bfd5f1eb2b218d8012588ea55c1f22786dba35a1fc0fdfdb4e40b05e0e735ed09c6961684f6442e863c3ed72024ce01f19113bbd9ca47c32e3f43c55f42
EBUILD vmware-workstation-15.5.6.16341506.ebuild 18649 BLAKE2B 0f0e334e77a236a605faa1e4566abd32230fc38bd6f82242215fd24de7796b871adfab024912f755b42bb57d0c5bc03c4f29b859090cfa77430f1b02ee705856 SHA512 5fb9e1928bc648847c1caddd3a5732468bd9bb6e3aed97f4f8c35f7ea07a7c479be0a5566966efe3449032e0af28135b2b907081183714995f180ea7c32f2c98
EBUILD vmware-workstation-16.0.0.16894299.ebuild 14014 BLAKE2B c786c9ac45416e8acffd03105719dc2611d7ccd72ff8b1267d79d45261ee10a85172a8ee8ab26cccf5810120fe94b8a050fe751171b5b6145c8e13056655ca73 SHA512 ce46d399cbc0ad4892e738ef0e3cc2752c3ab6e9603f7df47bcd7e56bffb211a9b75b277f5c45ea82eb28c3da22b73f49ce2ad473125f337ee21d8fc0bf155e6

+ 102
- 0
app-emulation/vmware-workstation/files/vmware-16.0.rc View File

@@ -0,0 +1,102 @@
#!/sbin/openrc-run
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

depend() {
need localmount
use net
}

start() {
ebegin Starting VMware USB Arbitrator
@@BINDIR@@/vmware-usbarbitrator
eend $?
ebegin Starting VMware services

# vmci might be:
# 1) built as external kernel module
# 2) built as internal kernel module (with name vmw_vmci)
# 3) embedded in the kernel
for mod in /lib/modules/$(uname -r)/misc/vmci.ko \
/lib/modules/$(uname -r)/kernel/drivers/misc/vmw_vmci/vmw_vmci.ko ;
do
if [[ -f "${mod}" ]] ; then
modprobe -v $(basename "${mod}" .ko)
eend $?
break
fi
done

# vsock might be:
# 1) built as external kernel module
# 2) built as internal kernel module (with name vmw_vsock_vmci_transport)
# 3) embedded in the kernel
for mod in /lib/modules/$(uname -r)/misc/vsock.ko \
/lib/modules/$(uname -r)/kernel/net/vmw_vsock/vmw_vsock_vmci_transport.ko ;
do
if [[ -f "${mod}" ]] ; then
modprobe -v $(basename "${mod}" .ko)
eend $?
break
fi
done

# vmblock
if [[ -f /lib/modules/$(uname -r)/misc/vmblock.ko ]]; then
modprobe -v vmblock
eend $?
fi

# vmci or vsock were already loaded by the previous modprobe,
# no need to do it here
# quiet for vmci because it may not be there
modprobe -av vmmon vmnet
eend $?
@@BINDIR@@/vmware-networks --start
eend $?
}

stop() {
ebegin Stopping VMware USB Arbitrator
killall --wait vmware-usbarbitrator
eend $?
@@BINDIR@@/vmware-networks --stop
eend $?
ebegin Stopping VMware services
modprobe -rv vmmon vmnet
eend $?

# vsock might be:
# 1) built as external kernel module
# 2) built as internal kernel module (with name vmw_vsock_vmci_transport)
# 3) embedded in the kernel
for mod in /lib/modules/$(uname -r)/misc/vsock.ko \
/lib/modules/$(uname -r)/kernel/net/vmw_vsock/vmw_vsock_vmci_transport.ko ;
do
if [[ -f "${mod}" ]] ; then
modprobe -rv $(basename "${mod}" .ko)
eend $?
break
fi
done

# vmci might be:
# 1) built as external kernel module
# 2) built as internal kernel module (with name vmw_vmci)
# 3) embedded in the kernel
for mod in /lib/modules/$(uname -r)/misc/vmci.ko \
/lib/modules/$(uname -r)/kernel/drivers/misc/vmw_vmci/vmw_vmci.ko ;
do
if [[ -f "${mod}" ]] ; then
modprobe -rv $(basename "${mod}" .ko)
eend $?
break
fi
done

# vmblock
if [[ -f /lib/modules/$(uname -r)/misc/vmblock.ko ]]; then
modprobe -rv vmblock
eend $?
fi
}

app-emulation/vmware-workstation/vmware-workstation-15.5.6.16341506.ebuild → app-emulation/vmware-workstation/vmware-workstation-16.0.0.16894299.ebuild View File

@@ -1,16 +1,16 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6
EAPI=7

inherit eapi7-ver eutils readme.gentoo-r1 gnome2-utils pam systemd xdg-utils
inherit eutils readme.gentoo-r1 gnome2-utils pam systemd xdg-utils

MY_PN="VMware-Workstation-Full"
MY_PV=$(ver_cut 1-3)
PV_MODULES="${MY_PV}"
PV_BUILD=$(ver_cut 4)
MY_P="${MY_PN}-${MY_PV}-${PV_BUILD}"
VMWARE_FUSION_VER="11.5.5/16269456" # https://softwareupdate.vmware.com/cds/vmw-desktop/fusion/
VMWARE_FUSION_VER="11.5.6/16696540" # https://softwareupdate.vmware.com/cds/vmw-desktop/fusion/
SYSTEMD_UNITS_TAG="gentoo-02"
UNLOCKER_VERSION="3.0.3"

@@ -57,7 +57,6 @@ RDEPEND="
dev-libs/nettle:0
gnome-base/dconf
gnome-base/gconf
gnome-base/libgnome-keyring
media-gfx/graphite2
media-libs/alsa-lib
media-libs/libart_lgpl
@@ -79,7 +78,7 @@ RDEPEND="
!app-emulation/vmware-tools
"
DEPEND="
dev-lang/python:2.7
dev-lang/python:*
>=dev-util/patchelf-0.9
modules? ( ~app-emulation/vmware-modules-${PV_MODULES} )
ovftool? ( app-admin/chrpath )
@@ -87,8 +86,6 @@ DEPEND="

S=${WORKDIR}/extracted
VM_INSTALL_DIR="/opt/vmware"
VM_DATA_STORE_DIR="/var/lib/vmware/Shared VMs"
VM_HOSTD_USER="root"

QA_PREBUILT="/opt/*"

@@ -140,8 +137,6 @@ src_prepare() {
mkdir vmware-network-editor/lib/lib
mv vmware-network-editor/lib/libvmware-netcfg.so vmware-network-editor/lib/lib/

rm -f vmware-workstation-server/bin/{openssl,configure-hostd.sh}

if use ovftool; then
chrpath -d vmware-ovftool/libcurl.so.4
fi
@@ -175,12 +170,12 @@ src_install() {
into "${VM_INSTALL_DIR}"
dobin */bin/*
dosbin */sbin/*
rm "${ED}${VM_INSTALL_DIR}"/bin/configure-initscript.sh
rm "${ED}${VM_INSTALL_DIR}"/bin/configure-initscript.sh || die

# install the libraries
insinto "${VM_INSTALL_DIR}"/lib/vmware
doins -r */lib/* vmware-vmx/roms
rm -rf "${ED}${VM_INSTALL_DIR}"/lib/vmware/*.so
rm "${ED}${VM_INSTALL_DIR}"/lib/vmware/*.so || die

# install the installer
insinto "${VM_INSTALL_DIR}"/lib/vmware-installer/${vmware_installer_version}
@@ -228,45 +223,6 @@ src_install() {
insinto /etc/modprobe.d
newins vmware-vmx/etc/modprobe.d/modprobe-vmware-fuse.conf vmware-fuse.conf

# install vmware workstation server
cd "${S}"/vmware-workstation-server

# install binaries
into "${VM_INSTALL_DIR}"/lib/vmware
dobin "${FILESDIR}"/configure-hostd.sh

# install the libraries
insinto "${VM_INSTALL_DIR}"/lib/vmware/lib
doins -r lib/*

into "${VM_INSTALL_DIR}"
for tool in vmware-hostd wssc-adminTool ; do
cat > "${T}/${tool}" <<-EOF
#!/usr/bin/env bash
set -e

. /etc/vmware/bootstrap

exec "${VM_INSTALL_DIR}/lib/vmware/bin/${tool}" \\
"\$@"
EOF
dobin "${T}/${tool}"
done

insinto "${VM_INSTALL_DIR}"/lib/vmware
doins -r hostd

# create the configuration
insinto /etc/vmware
doins -r config/etc/vmware/*
doins -r etc/vmware/*

# create directory for shared virtual machines.
keepdir "${VM_DATA_STORE_DIR}"
keepdir /var/log/vmware

cd - >/dev/null

# install vmware-vix
if use vix; then
# install the binary
@@ -296,7 +252,7 @@ src_install() {
doins -r *

chmod 0755 "${ED}${VM_INSTALL_DIR}"/lib/vmware-ovftool/{ovftool,ovftool.bin}
dosym "${ED}${VM_INSTALL_DIR}"/lib/vmware-ovftool/ovftool "${VM_INSTALL_DIR}"/bin/ovftool
dosym ../../lib/vmware-ovftool/ovftool "${VM_INSTALL_DIR}"/bin/ovftool

cd - >/dev/null
fi
@@ -304,7 +260,7 @@ src_install() {
# create symlinks for the various tools
local tool;
for tool in thnuclnt vmware vmplayer{,-daemon} licenseTool vmamqpd \
vmware-{app-control,enter-serial,gksu,fuseUI,hostd,modconfig{,-console},netcfg,setup-helper,tray,unity-helper,vim-cmd,vmblock-fuse,vprobe,wssc-adminTool,zenity}; do
vmware-{app-control,enter-serial,gksu,fuseUI,modconfig{,-console},netcfg,setup-helper,tray,unity-helper,vmblock-fuse,vprobe,zenity}; do
dosym appLoader "${VM_INSTALL_DIR}"/lib/vmware/bin/"${tool}"
done
dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmplayer "${VM_INSTALL_DIR}"/bin/vmplayer
@@ -319,8 +275,6 @@ src_install() {
fperms 4711 "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-vmx{,-debug,-stats}
fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware/lib/libvmware-gksu.so/gksu-run-helper
fperms 4711 "${VM_INSTALL_DIR}"/sbin/vmware-authd
fperms 0755 "${VM_INSTALL_DIR}"/bin/{vmware-hostd,wssc-adminTool}
fperms 1777 "${VM_DATA_STORE_DIR}"
if use vix; then
fperms 0755 "${VM_INSTALL_DIR}"/lib/vmware-vix/setup/vmware-config
fi
@@ -378,12 +332,6 @@ src_install() {
EOF
fi

cat >> "${ED}"/etc/vmware/config <<-EOF
authd.client.port = "902"
authd.proxy.nfc = "vmware-hostd:ha-nfc"
authd.soapserver = "TRUE"
EOF

if use modules; then
# install the init.d script
local initscript="${T}/vmware.rc"
@@ -392,15 +340,6 @@ src_install() {
newinitd "${initscript}" vmware
fi

# install the init.d script
local initscript="${T}/vmware-workstation-server.rc"
sed -e "s:@@ETCDIR@@:/etc/vmware:g" \
-e "s:@@PREFIX@@:${VM_INSTALL_DIR}:g" \
-e "s:@@BINDIR@@:${VM_INSTALL_DIR}/bin:g" \
-e "s:@@LIBDIR@@:${VM_INSTALL_DIR}/lib/vmware:g" \
"${FILESDIR}/vmware-server-${major_minor}.rc" > ${initscript} || die
newinitd "${initscript}" vmware-workstation-server

# fill in variable placeholders
sed -e "s:@@LIBCONF_DIR@@:${VM_INSTALL_DIR}/lib/vmware/libconf:g" \
-i "${ED}${VM_INSTALL_DIR}"/lib/vmware/libconf/etc/gtk-3.0/gdk-pixbuf.loaders || die
@@ -414,81 +353,6 @@ src_install() {
-e "/^Encoding/d" \
-i "${ED}/usr/share/applications/vmware-netcfg.desktop" || die

# Configuration for vmware-workstation-server
local hostdUser="${VM_HOSTD_USER:-root}"
sed -e "/ACEDataUser/s:root:${hostdUser}:g" \
-i "${ED}/etc/vmware/hostd/authorization.xml" || die

# Shared VMs Path: [standard].
sed -e "s:##{DS_NAME}##:standard:g" \
-e "s:##{DS_PATH}##:${VM_DATA_STORE_DIR}:g" \
-i "${ED}/etc/vmware/hostd/datastores.xml" || die

sed -e "s:##{HTTP_PORT}##:-1:g" \
-e "s:##{HTTPS_PORT}##:443:g" \
-e "s:##{PIPE_PREFIX}##:/var/run/vmware/:g" \
-i "${ED}/etc/vmware/hostd/proxy.xml" || die

# See vmware-workstation-server.py for more details.
sed -e "s:##{BUILD_CFGDIR}##:/etc/vmware/hostd/:g" \
-e "s:##{CFGALTDIR}##:/etc/vmware/hostd/:g" \
-e "s:##{CFGDIR}##:/etc/vmware/:g" \
-e "s:##{ENABLE_AUTH}##:true:g" \
-e "s:##{HOSTDMODE}##:ws:g" \
-e "s:##{HOSTD_CFGDIR}##:/etc/vmware/hostd/:g" \
-e "s:##{HOSTD_MOCKUP}##:false:g" \
-e "s:##{LIBDIR}##:${VM_INSTALL_DIR}/lib/vmware:g" \
-e "s:##{LIBDIR_INSTALLED}##:${VM_INSTALL_DIR}/lib/vmware/:g" \
-e "s:##{LOGDIR}##:/var/log/vmware/:g" \
-e "s:##{LOGLEVEL}##:verbose:g" \
-e "s:##{MOCKUP}##:mockup-host-config.xml:g" \
-e "s:##{PLUGINDIR}##:./:g" \
-e "s:##{SHLIB_PREFIX}##:lib:g" \
-e "s:##{SHLIB_SUFFIX}##:.so:g" \
-e "s:##{USE_BLKLISTSVC}##:false:g" \
-e "s:##{USE_CBRCSVC}##:false:g" \
-e "s:##{USE_CIMSVC}##:false:g" \
-e "s:##{USE_DIRECTORYSVC}##:false:g" \
-e "s:##{USE_DIRECTORYSVC_MOCKUP}##:false:g" \
-e "s:##{USE_DYNAMIC_PLUGIN_LOADING}##:false:g" \
-e "s:##{USE_DYNAMO}##:false:g" \
-e "s:##{USE_DYNSVC}##:false:g" \
-e "s:##{USE_GUESTSVC}##:false:g" \
-e "s:##{USE_HBRSVC}##:false:g" \
-e "s:##{USE_HBRSVC_MOCKUP}##:false:g" \
-e "s:##{USE_HOSTSPECSVC}##:false:g" \
-e "s:##{USE_HOSTSVC_MOCKUP}##:false:g" \
-e "s:##{USE_HTTPNFCSVC}##:false:g" \
-e "s:##{USE_HTTPNFCSVC_MOCKUP}##:false:g" \
-e "s:##{USE_LICENSESVC_MOCKUP}##:false:g" \
-e "s:##{USE_NFCSVC}##:true:g" \
-e "s:##{USE_NFCSVC_MOCKUP}##:false:g" \
-e "s:##{USE_OVFMGRSVC}##:true:g" \
-e "s:##{USE_PARTITIONSVC}##:false:g" \
-e "s:##{USE_SECURESOAP}##:false:g" \
-e "s:##{USE_SNMPSVC}##:false:g" \
-e "s:##{USE_SOLO_MOCKUP}##:false:g" \
-e "s:##{USE_STATSSVC}##:false:g" \
-e "s:##{USE_STATSSVC_MOCKUP}##:false:g" \
-e "s:##{USE_VCSVC_MOCKUP}##:false:g" \
-e "s:##{USE_VSLMSVC}##:false:g" \
-e "s:##{USE_VSLMSVC_MOCKUP}##:false:g" \
-e "s:##{USE_VDISKSVC}##:false:g" \
-e "s:##{USE_VDISKSVC_MOCKUP}##:false:g" \
-e "s:##{USE_VMSVC_MOCKUP}##:false:g" \
-e "s:##{VM_INVENTORY}##:vmInventory.xml:g" \
-e "s:##{VM_RESOURCES}##:vmResources.xml:g" \
-e "s:##{WEBSERVER_PORT_ENTRY}##::g" \
-e "s:##{WORKINGDIR}##:./:g" \
-i "${ED}/etc/vmware/hostd/config.xml" || die

sed -e "s:##{ENV_LOCATION}##:/etc/vmware/hostd/env/:g" \
-i "${ED}/etc/vmware/hostd/environments.xml" || die

# @@VICLIENT_URL@@=XXX
sed -e "s:@@AUTHD_PORT@@:902:g" \
-i "${ED}${VM_INSTALL_DIR}/lib/vmware/hostd/docroot/client/clients.xml" || die

# install systemd unit files
if use systemd; then
systemd_dounit "${WORKDIR}/systemd-vmware-${SYSTEMD_UNITS_TAG}/"*.{service,target}
@@ -496,7 +360,7 @@ src_install() {

# enable macOS guests support
if use macos-guests; then
python2 "${WORKDIR}"/unlocker-*/unlocker.py >/dev/null || die "unlocker.py failed"
python3 "${WORKDIR}"/unlocker-*/unlocker.py >/dev/null || die "unlocker.py failed"
fi

# VMware tools

Loading…
Cancel
Save